CREATE TABLE hz_relationship_types (
    RELATIONSHIP_TYPE_ID            NUMBER(18, 0) ,
    RELATIONSHIP_TYPE               VARCHAR2(120)     NOT NULL,
    FORWARD_REL_CODE                VARCHAR2(120)     NOT NULL,
    BACKWARD_REL_CODE               VARCHAR2(120)     NOT NULL,
    DIRECTION_CODE                  VARCHAR2(120)     NOT NULL,
    HIERARCHICAL_FLAG               VARCHAR2(4)   ,
    ALLOW_RELATE_TO_SELF_FLAG       VARCHAR2(4)       NOT NULL,
    SUBJECT_TYPE                    VARCHAR2(120)     NOT NULL,
    OBJECT_TYPE                     VARCHAR2(120)     NOT NULL,
    STATUS                          VARCHAR2(4)       NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    ALLOW_CIRCULAR_RELATIONSHIPS    VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY_MODULE               VARCHAR2(120) ,
    MULTIPLE_PARENT_ALLOWED         VARCHAR2(4)   ,
    ROLE                            VARCHAR2(120) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    RELATIONSHIP_TYPE_ID            NUMBER(18, 0) ,
    RELATIONSHIP_TYPE               VARCHAR2(120)     NOT NULL,
    FORWARD_REL_CODE                VARCHAR2(120)     NOT NULL,
    BACKWARD_REL_CODE               VARCHAR2(120)     NOT NULL,
    DIRECTION_CODE                  VARCHAR2(120)     NOT NULL,
    HIERARCHICAL_FLAG               VARCHAR2(4)   ,
    ALLOW_RELATE_TO_SELF_FLAG       VARCHAR2(4)       NOT NULL,
    SUBJECT_TYPE                    VARCHAR2(120)     NOT NULL,
    OBJECT_TYPE                     VARCHAR2(120)     NOT NULL,
    STATUS                          VARCHAR2(4)       NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    ALLOW_CIRCULAR_RELATIONSHIPS    VARCHAR2(4)       NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    CREATED_BY_MODULE               VARCHAR2(120) ,
    MULTIPLE_PARENT_ALLOWED         VARCHAR2(4)   ,
    ROLE                            VARCHAR2(120) ,
    SEED_DATA_SOURCE                VARCHAR2(2048),
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_hz_relationship_types PRIMARY KEY (RELATIONSHIP_TYPE_ID, RELATIONSHIP_TYPE_ID)
);
